IF OBJECT_ID('[RubyGems_Extended]') IS NOT NULL DROP VIEW [RubyGems_Extended]
GO

CREATE VIEW [RubyGems_Extended]
AS
	SELECT RG.[Gem_Id],
	       RG.[Feed_Id],
		   RG.[Gem_Name],
		   RG.[LatestVersion_Text],
		   RGV.[Platform_Text],
		   RG.[Summary_Text],
		   [Download_Count] = (SELECT SUM([Download_Count])
		                         FROM [RubyGemVersions] RGV
								WHERE RGV.[Gem_Id] = RG.[Gem_Id]),
		   RG.[Project_Url],
		   RG.[Homepage_Url],
		   RG.[Wiki_Url],
		   RG.[Documentation_Url],
		   RG.[MailingList_Url],
		   RG.[SourceCode_Url],
		   RG.[BugTracker_Url],

		   [Latest_Download_Count] = RGV.[Download_Count],
		   [Latest_Published_Date] = RGV.[Published_Date],
		   [Latest_Cached_Indicator] = RGV.[Cached_Indicator],
		   [Latest_GemHash_Bytes] = RGV.[GemHash_Bytes],
		   [Latest_Metadata_Bytes] = RGV.[Metadata_Bytes]

	  FROM [RubyGems] RG
	       INNER JOIN [RubyGemVersions] RGV
		          ON RGV.[Gem_Id] = RG.[Gem_Id]
				 AND RGV.[Version_Text] = RG.[LatestVersion_Text]

GO