EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_GetSyncFeeds',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'NuGetSyncFeeds,Feeds',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the sync feeds.'
GO

IF OBJECT_ID('[Feeds_GetSyncFeeds]') IS NOT NULL DROP PROCEDURE [Feeds_GetSyncFeeds]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_GetSyncFeeds]
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT SF.*
	  FROM [NuGetSyncFeeds] SF
	       INNER JOIN [Feeds] F
		           ON F.[Feed_Id] = SF.[Feed_Id]
	 WHERE SF.[Active_Indicator] = 'Y'
	   AND F.[Active_Indicator] = 'Y'
	   AND F.[FeedType_Name] IN ('NuGet', 'Chocolatey', 'PowerShell')

	SELECT *
	  FROM [Feeds]
	 WHERE [Active_Indicator] = 'Y'
	   AND [FeedType_Name] IN ('NuGet', 'Chocolatey', 'PowerShell')

END
GO

GRANT EXECUTE ON [Feeds_GetSyncFeeds] TO [ProGetUser_Role]
GO
